Eclipse Platform Release 3.7

## org.eclipse.ui.views.bookmarkexplorer
Class BookmarkPropertiesDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.ui.views.markers.internal.DialogMarkerProperties
                      org.eclipse.ui.views.bookmarkexplorer.BookmarkPropertiesDialog

All Implemented Interfaces:
  IShellProvider

    public class BookmarkPropertiesDialog

extends org.eclipse.ui.views.markers.internal.DialogMarkerProperties

Shows the properties of a new or existing bookmark This class was made public in 3.3.

Since:
  3.3

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`BookmarkPropertiesDialog(Shell parentShell)` Creates the dialog.
`BookmarkPropertiesDialog(Shell parentShell, String title)` Creates the dialog.

Method Summary
`protected String` `getCreateOperationTitle()` Return the string that describes a create marker operation.
`Map` `getInitialAttributes()` Returns the initial attributes to use when creating a new bookmark, or `null` if not set.
`IMarker` `getMarker()` Returns the marker being created or modified.
`protected String` `getModifyOperationTitle()` Return the string that describes a modify marker operation.
`IResource` `getResource()` Returns the resource to use when creating a new bookmark, or `null` if none has been set.
`void` `setInitialAttributes(Map initialAttributes)` Sets initial attributes to use when creating a new bookmark.
`void` `setMarker(IMarker marker)` Sets the marker to show or modify.
`void` `setResource(IResource resource)` Sets the resource to use when creating a new bookmark.

Methods inherited from class org.eclipse.ui.views.markers.internal.DialogMarkerProperties
`configureShell, createAttributesArea, createButtonsForButtonBar, createDialogArea, createSeperator, getDialogBoundsSettings, getMarkerAttributes, isDirty, isEditable, isResizable, markDirty, okPressed, setType, updateDialogForNewMarker, updateDialogFromMarker, updateEnablement`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, createButtonBar, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookmarkPropertiesDialog

    public BookmarkPropertiesDialog(Shell parentShell)

  Creates the dialog. By default this dialog creates a new bookmark. To set the resource and initial attributes for the new bookmark, use `setResource` and `setInitialAttributes`. To show or modify an existing bookmark, use `setMarker`.

  Parameters:
    `parentShell` - the parent shell

### BookmarkPropertiesDialog

    public BookmarkPropertiesDialog(Shell parentShell,
                                    String title)

  Creates the dialog. By default this dialog creates a new bookmark. To set the resource and initial attributes for the new bookmark, use `setResource` and `setInitialAttributes`. To show or modify an existing bookmark, use `setMarker`.

  Parameters:
    `parentShell` - the parent shell
    `title` - the title for the dialog

Method Detail

### setMarker

    public void setMarker(IMarker marker)

  Sets the marker to show or modify.

  Overrides:
    `setMarker` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
  Parameters:
    `marker` - the marker, or `null` to create a new marker

### getMarker

    public IMarker getMarker()

  Returns the marker being created or modified. For a new marker, this returns `null` until the dialog returns, but is non-null after.

  Overrides:
    `getMarker` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
  Returns:
    the marker

### setResource

    public void setResource(IResource resource)

  Sets the resource to use when creating a new bookmark. If not set, the new bookmark is created on the workspace root.

  Overrides:
    `setResource` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
  Parameters:
    `resource` - the resource

### getResource

    public IResource getResource()

  Returns the resource to use when creating a new bookmark, or `null` if none has been set. If not set, the new bookmark is created on the workspace root.

  Overrides:
    `getResource` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
  Returns:
    the resource

### setInitialAttributes

    public void setInitialAttributes(Map initialAttributes)

  Sets initial attributes to use when creating a new bookmark. If not set, the new bookmark is created with default attributes.

  Overrides:
    `setInitialAttributes` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
  Parameters:
    `initialAttributes` - the initial attributes

### getInitialAttributes

    public Map getInitialAttributes()

  Returns the initial attributes to use when creating a new bookmark, or `null` if not set. If not set, the new bookmark is created with default attributes.

  Overrides:
    `getInitialAttributes` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
  Returns:
    the initial attributes

### getModifyOperationTitle

    protected String getModifyOperationTitle()

  Description copied from class: `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
  Return the string that describes a modify marker operation. Subclasses may override to more specifically describe the marker.

  Overrides:
    `getModifyOperationTitle` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`

### getCreateOperationTitle

    protected String getCreateOperationTitle()

  Description copied from class: `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`
  Return the string that describes a create marker operation. Subclasses may override to more specifically describe the marker.

  Overrides:
    `getCreateOperationTitle` in class `org.eclipse.ui.views.markers.internal.DialogMarkerProperties`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.